System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType System.ComponentModel.TypeConverter(typeof(System.Drawing.SizeConverter)) System.Runtime.InteropServices.ComVisible(true)

The class is used to specify a height and width through the property for , , , and other graphics classes. You can perform operations on a by using the overloaded operators such as , , and . The unit for the and of the structure depend on the and settings for the object that is used to draw.

Stores an ordered pair of integers, which specify a and .

- Constructor
  To be added

  Initializes a new instance of the structure from the specified structure.

  The structure from which to initialize this structure.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the structure from the specified dimensions.

  The width component of the new .
  The height component of the new .
  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Drawing.Size `` `` To be added.

  Adds the width and height of one structure to the width and height of another structure.

  A structure that is the result of the addition operation.

  The first structure to add. The second structure to add.
- Method
  System.Drawing.Size `` To be added

  Converts the specified structure to a structure by rounding the values of the structure to the next higher integer values.

  The structure this method converts to.

  The structure to convert. 1.0.5000.0 2.0.0.0
- Field
  System.Drawing.Size To be added

  Gets a structure that has a and value of 0.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` To be added

  Tests to see whether the specified object is a structure with the same dimensions as this structure.

  true if is a and has the same width and height as this ; otherwise, false.

  The to test. 1.0.5000.0 2.0.0.0
- Method
  System.Int32

  You should avoid depending on for unique values, as two objects with the same values for their and properties may return the same hash code. This behavior could change in a future release.

  Returns a hash code for this structure.

  An integer value that specifies a hash value for this structure.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  The unit for the and of the structure depend on the and settings for the object that is used to draw.

  Gets or sets the vertical component of this structure.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Tests whether this structure has width and height of 0.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Method
  System.Drawing.Size `` `` To be added.

  Adds the width and height of one structure to the width and height of another structure.

  A structure that is the result of the addition operation.

  The first to add. The second to add. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` To be added.

  Tests whether two structures are equal.

  true if and have equal width and height; otherwise, false.

  The structure on the left side of the equality operator. The structure on the right of the equality operator. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Point `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.SizeF `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` To be added.

  Tests whether two structures are different.

  true if and differ either in width or height; false if and are equal.

  The structure on the left of the inequality operator. The structure on the right of the inequality operator. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Size `` `` To be added.

  Subtracts the width and height of one structure from the width and height of another structure.

  A structure that is the result of the subtraction operation.

  The structure on the left side of the subtraction operator. The structure on the right side of the subtraction operator. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Size `` To be added

  Converts the specified structure to a structure by rounding the values of the structure to the nearest integer values.

  The structure this method converts to.

  The structure to convert. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Drawing.Size `` `` To be added.

  Subtracts the width and height of one structure from the width and height of another structure.

  A structure that is a result of the subtraction operation.

  The structure on the left side of the subtraction operator. The structure on the right side of the subtraction operator.
- Method
  System.String To be added

  Creates a human-readable string that represents this structure.

  A string that represents this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Drawing.Size `` To be added

  Converts the specified structure to a structure by truncating the values of the structure to the next lower integer values.

  The structure this method converts to.

  The structure to convert. 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  The unit for the and of the structure depend on the and settings for the object used to draw.

  Gets or sets the horizontal component of this structure.

  1.0.5000.0
  2.0.0.0